SnapshotOptions.SnapshotFormat (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.snapshot, interface: SnapshotOptions, enum: SnapshotFormat

Package org.apache.geode.cache.snapshot

# Enum Class SnapshotOptions.SnapshotFormat

java.lang.Object
java.lang.Enum<SnapshotOptions.SnapshotFormat>
org.apache.geode.cache.snapshot.SnapshotOptions.SnapshotFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<SnapshotOptions.SnapshotFormat>`, `Constable`

Enclosing interface:
  SnapshotOptions<K,V>

public static enum SnapshotOptions.SnapshotFormat extends Enum<SnapshotOptions.SnapshotFormat>
Defines the available snapshot file formats.

Since:
  GemFire 7.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GEMFIRE`
  Deprecated.
  Use `GEODE`
  `GEODE`
  An optimized binary format specific to Geode.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SnapshotOptions.SnapshotFormat`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SnapshotOptions.SnapshotFormat[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GEMFIRE

    @Deprecated public static final SnapshotOptions.SnapshotFormat GEMFIRE
    Deprecated.
    Use `GEODE`
    An optimized binary format specific to GemFire.

  - ### GEODE

    public static final SnapshotOptions.SnapshotFormat GEODE
    An optimized binary format specific to Geode.

- ## Method Details

  - ### values

    public static SnapshotOptions.SnapshotFormat[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SnapshotOptions.SnapshotFormat valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null